#include "logic/headers/Board.h"
#include <QStringBuilder>
#include <iostream>

//Constructor
Board::Board(int sideLength, QString letters)
{
    this->_sideLength = sideLength;

}

Tile* Board::getTileAt(int x, int y)
{
    return new Tile(0,0, "a");
}

void Board::Print()
{
    int horizontalLength = this->_sideLength * 4 + 1;
    QString lineToPrint(horizontalLength);
    QString horizontalSeparator(horizontalLength);

    horizontalSeparator.fill('=', horizontalLength);

    for (int i= 0; i < this->_sideLength; i++)
    {
        std::cout<<horizontalSeparator.toStdString()<<std::endl;
        lineToPrint.clear();
        lineToPrint.append("\u2551");
        for(int j = 0; j < this->_sideLength; j++)
        {
            lineToPrint.append(this->getTileAt(j,i)->getAlphabet() % "\u2551");
        }
        std::cout<<lineToPrint.toStdString()<<std::endl;
    }
    std::cout<<horizontalSeparator.toStdString();
}
